<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:h="http://java.sun.com/jsf/html" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:rich="http://richfaces.org/rich" xmlns:f="http://java.sun.com/jsf/core" xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j" xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
  <ui:define name="body">
    <h:form id="globalForm">
      <h1>#{messages['net.ihe.gazelle.cdagen.EditCDAObjectType']}</h1>
      <gri:panel>
        <f:facet name="header">#{messages['net.ihe.gazelle.cdagen.EditCDAObjectType']}</f:facet>
        <rich:tabPanel id="tabPanelForEditObjectType">
          <rich:tab id="globalvariablestab" immediate="true"  header="summary">
            <a4j:region id="ObjectTypeKeyword">
              <s:decorate id="keywordDecoration" template="/layout/edit.xhtml">
                <ui:define name="label">#{messages['net.ihe.gazelle.cdagen.Keyword_2']}</ui:define>
                <h:inputText id="OTkeyword" styleClass="ajaxSupport" tabindex="2" size="37" required="true" maxlength="96" value="#{cdaObjectTypeManager.selectedCDAObjectType.keyword}">
								</h:inputText>
              </s:decorate>
            </a4j:region>
            <br/>
            <a4j:region id="ObjectTypeDescription">
              <s:decorate id="descriptionDecoration" template="/layout/edit.xhtml">
                <ui:define name="label">#{messages['net.ihe.gazelle.cdagen.Description_3']}</ui:define>
                <h:inputText id="OTdescription" styleClass="ajaxSupport" tabindex="2" size="150" required="false" maxlength="250" value="#{cdaObjectTypeManager.selectedCDAObjectType.description}">
								</h:inputText>
              </s:decorate>
            </a4j:region>
            <br/>
            <gdk:spacer height="2"/>
            <h:commandButton styleClass="commandButton" id="UpdateObjectTypeButton" value="#{messages['gazelle.common.button.Update']} #{cdaObjectTypeManager.selectedCDAObjectType.keyword}"   actionListener="#{cdaObjectTypeManager.updateSelectedCDAObjectType()}" render="messages,headerOfPanel"/>
            <br/>
            <br/>
          </rich:tab>
          <rich:tab id="AddACreatorPanel" immediate="true"  header="creators">
            <br/>
            <rich:dataTable id="listObjectTypeCreators" var="currentAIPO" value="#{cdaObjectTypeManager.selectedCDAObjectType.actorIntegrationProfileOptions}" onRowMouseOver="this.style.backgroundColor='#94C2E6'" onRowMouseOut="this.style.backgroundColor='#{a4jSkin.tableBackgroundColor}'" rowKeyVar="rowNumber" rows="8">
              <g:column id="currentAIPOId" sortBy="#{currentAIPO.id}" sortOrder="ascending">
                <ui:define name="header">#{messages['net.ihe.gazelle.cdagen.Id']}</ui:define>
                <h:outputText value="#{currentAIPO.id}"/>
              </g:column>
              <g:column id="currentAIPOProfile" sortBy="#{currentAIPO.actorIntegrationProfile.integrationProfile.name}" sortOrder="ascending">
                <ui:define name="header">#{messages['net.ihe.gazelle.cdagen.Profile']}</ui:define>
                <h:outputText value="#{currentAIPO.actorIntegrationProfile.integrationProfile.name}"/>
              </g:column>
              <g:column id="currentAIPOActor" sortBy="#{currentAIPO.actorIntegrationProfile.actor.name}" sortOrder="ascending">
                <ui:define name="header">#{messages['net.ihe.gazelle.cdagen.Actor']}</ui:define>
                <h:outputText value="#{currentAIPO.actorIntegrationProfile.actor.name}"/>
              </g:column>
              <g:column id="currentAIPOOption" sortBy="#{currentAIPO.integrationProfileOption.name}" sortOrder="ascending">
                <ui:define name="header">#{messages['net.ihe.gazelle.cdagen.Option']}</ui:define>
                <h:outputText value="#{currentAIPO.integrationProfileOption.name}"/>
              </g:column>
              <g:column id="deletecurrentAIPO">
                <ui:define name="header">#{messages['net.ihe.gazelle.cdagen.Action']}</ui:define>
                <center>
                  <a4j:commandLink id="deleteActionImageSupportForObjectTypeCreator" actionListener="#{cdaObjectTypeManager.setSelectedAIPO( currentAIPO ) }" oncomplete="jq162('#DeleteSelectedCreator').modal('show');" render="DeleteSelectedCreator"/>
                  <h:graphicImage id="deleteObjectCreator" style="cursor:pointer;" value="/img/icons64/deleteRedJR.gif" width="18" height="18" title="#{messages['gazelle.common.button.Delete']}"/>
                </center>
              </g:column>
              <f:facet name="footer">
                <rich:dataScroller maxPages="10"  renderIfSinglePage="false"/>
              </f:facet>
            </rich:dataTable>
            <br/>
            <br/>
            <s:div id="CriteriaSelectionPanel">
              <s:decorate id="domainDecorationForCreator" template="/layout/edit.xhtml">
                <ui:define name="label">#{messages['gazelle.tf.domain.ManageDomainsLabel1']}</ui:define>
                <a4j:commandLink id="onChangePossibleDomains" actionListener="#{cdaObjectTypeManager.resetSelectionValuesForCreator(1)}"  execute="@this" render="ipDecorationForCreator,actorsDecorationForCreator,optionDecorationForCreator"/>
                <h:selectOneMenu id="DomainListBox" value="#{cdaObjectTypeManager.selectedDomainForCreators}">
                  <s:selectItems value="#{cdaObjectTypeManager.getPossibleDomains()}" var="domainFromList" noSelectionLabel="#{messages['gazelle.common.PleaseSelect']}" label="#{domainFromList.keyword} - #{domainFromList.name}"/>
                </h:selectOneMenu>
              </s:decorate>
              <s:decorate id="ipDecorationForCreator" template="/layout/edit.xhtml">
                <ui:define name="label">#{messages['gazelle.tests.test.integrationProfile']}</ui:define>
                <h:selectOneMenu id="ListOfIntegrationProfileForCreator" value="#{cdaObjectTypeManager.selectedIntegrationProfileForCreator }">
                  <s:selectItems value="#{cdaObjectTypeManager.possibleIntegrationProfilesForCreator}" var="currentIP" noSelectionLabel="#{messages['gazelle.common.PleaseSelect']}" label="#{currentIP.keyword}-#{currentIP.name}"/>
                  <a4j:ajax event="change"  execute="@this" render="actorsDecorationForCreator,optionDecorationForCreator" listener="#{cdaObjectTypeManager.resetSelectionValuesForCreator(2)}"/>
                </h:selectOneMenu>
              </s:decorate>
              <s:decorate id="actorsDecorationForCreator" template="/layout/edit.xhtml">
                <ui:define name="label">#{messages['net.ihe.gazelle.cdagen.Actor']}</ui:define>
                <a4j:commandLink id="onChangePanelGroupForCreator" actionListener="#{cdaObjectTypeManager.resetSelectionValuesForCreator(3)}"  execute="@this" render="optionDecorationForCreator"/>
                <h:selectOneMenu id="ListOfActorsForCreator" value="#{cdaObjectTypeManager.selectedActorForCreator}">
                  <s:selectItems value="#{cdaObjectTypeManager.possibleActorsForCreator}" var="currentAct" noSelectionLabel="#{messages['gazelle.common.PleaseSelect']}" label="#{currentAct.keyword} - #{currentAct.name}">
									</s:selectItems>
                </h:selectOneMenu>
              </s:decorate>
              <s:decorate id="optionDecorationForCreator" template="/layout/edit.xhtml">
                <ui:define name="label">#{messages['net.ihe.gazelle.cdagen.Option']}</ui:define>
                <a4j:commandLink id="onChangePossibleOptionForCreator" oncomplete="onAjaxRequestComplete()" execute="@this"/>
                <h:selectOneMenu id="OptionListBoxForCreator" value="#{cdaObjectTypeManager.selectedIntegrationProfileOptionForCreator }">
                  <s:selectItems value="#{cdaObjectTypeManager.possibleOptionsForCreator}" var="optionFromList" noSelectionLabel="#{messages['gazelle.common.PleaseSelect']}" label="#{optionFromList.keyword} - #{optionFromList.name}"/>
                </h:selectOneMenu>
              </s:decorate>
              <gdk:spacer height="2"/>
              <a4j:commandButton styleClass="commandButton" id="addButtonForCreator" value="#{messages['net.ihe.gazelle.cdagen.AddACreatorFor']} #{cdaObjectTypeManager.selectedCDAObjectType.keyword}"   actionListener="#{cdaObjectTypeManager.addNewCreatorOfcurrentObjectType()}" render="listObjectTypeCreators,ipDecorationForCreator,actorsDecorationForCreator,optionDecorationForCreator,messages"/>
            </s:div>
            <br/>
            <br/>
          </rich:tab>
        </rich:tabPanel>
      </gri:panel>
    </h:form>
    <gri:popupPanel id="DeleteSelectedCreator" width="300" height="90">
      <f:facet name="header">
        <h:outputText value="#{messages['net.ihe.gazelle.cdagen.DeleteAnObjectCreator']}"/>
      </f:facet>
      <f:facet name="controls">
        <h:graphicImage id="DeleteSelectedObjectCreatorGraphicImage" alt="#{messages['gazelle.common.button.mp.close']}" value="/img/modal/close.gif" style="cursor:pointer" onclick="jq162('#DeleteSelectedCreator')}.hide()"/>
      </f:facet>
      <s:decorate id="confirmationDeleteCreator">
        <h:form id="deleteFormOfCreator">
          <gri:panel pid="DeleteCreator">
            <center>
              <div id="deleteCreatorDiv" align="right">
                <a4j:commandButton id="deleteCreatorbutton" value="#{messages['net.ihe.gazelle.cdagen.DeleteThisCreator']}" styleClass="commandButton" actionListener="#{cdaObjectTypeManager.deleteSelectedAIPOFromCreator()}" onclick="jq162('#DeleteSelectedCreator').modal('hide');"  render="listObjectTypeCreators,messages"/>
                <a4j:commandButton value="#{messages['gazelle.common.button.Cancel']}" onclick="jq162('#DeleteSelectedCreator')}.hide()" styleClass="commandButton" execute="@this"/>
              </div>
            </center>
          </gri:panel>
        </h:form>
      </s:decorate>
    </gri:popupPanel>
  </ui:define>
</ui:composition>
